/*
 * blanco Framework
 * Copyright (C) 2004-2005 IGA Tosiki
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.db.definition;

import java.util.Iterator;

import blanco.db.conf.ExecuteQueryDotNet;

/**
 * @author Yasuo Nakanishi
 */
public class QueryInvokerDotNet {

    private ExecuteQueryDotNet _executeQuery = null;

    public QueryInvokerDotNet(final ExecuteQueryDotNet executeQuery) {
        _executeQuery = executeQuery;
    }

    public String getName() {
        return _executeQuery.getName();
    }

    public Iterator getInParameterIterator() {
        return _executeQuery.getInParameterIterator();
    }

    public String getQuery() {
        return _executeQuery.getQuery();
    }

    public void setQuery(final String query) {
        _executeQuery.setQuery(query);
    }

    public boolean isSingle() {
        return _executeQuery.isSingle();
    }
}